English Amiga Board Amiga Lore


Go Back   English Amiga Board > Support > support.Hardware

 
 
Thread Tools
Old 17 October 2009, 20:30   #1
Kitty
Sys dec($cdab)

Kitty's Avatar
 
Join Date: Mar 2005
Location: London UK
Age: 35
Posts: 1,503
Why would an Amiga 500 need Kick 3.1?

Curious as to why someone would fit Kickstart 3.1 into an Amiga 500???

http://cgi.ebay.co.uk/Amiga-A500-wit...item2a01e8ed78
Kitty is offline  
AdSense AdSense  
Old 17 October 2009, 20:36   #2
TCD
Global Moderator

TCD's Avatar
 
Join Date: Sep 2006
Location: Germany
Age: 39
Posts: 24,032
Quote:
Originally Posted by Kitty View Post
Curious as to why someone would fit Kickstart 3.1 into an Amiga 500???
Because you can
TCD is offline  
Old 17 October 2009, 20:36   #3
TjLaZer
Registered User
TjLaZer's Avatar
 
Join Date: Sep 2004
Location: Tacoma, WA USA
Age: 45
Posts: 1,102
Why not? Its very compatible with older games (more so than Kick 2.x) and its the latest ROM.
TjLaZer is offline  
Old 17 October 2009, 20:38   #4
alexh
Thalion Webshrine
alexh's Avatar
 
Join Date: Jan 2004
Location: Oxford
Posts: 11,880
If you have a hard drive it makes sense. Many AmigaOS apps require KS & Workbench 3.1
alexh is offline  
Old 17 October 2009, 20:47   #5
Kitty
Sys dec($cdab)

Kitty's Avatar
 
Join Date: Mar 2005
Location: London UK
Age: 35
Posts: 1,503
Kick 1.3 is best for the best early classic games though (Amiga Boom Era), but yeah I could understand if you was using a hardrive

Quote:
Because you can
Kitty is offline  
Old 17 October 2009, 22:13   #6
Retro1234
5150

Retro1234's Avatar
 
Join Date: Jun 2006
Location: Sycophantazia
Posts: 3,715
Kick1.3/Workbench1.x is a nightmare to use - very basic.
Retro1234 is offline  
Old 17 October 2009, 22:19   #7
TCD
Global Moderator

TCD's Avatar
 
Join Date: Sep 2006
Location: Germany
Age: 39
Posts: 24,032
WB 1.x is indeed very basic. Like alexh said, if you use a harddisk with your A500, KS and WB 3.1 are a nice addition. Still won't call WB 1.x a nightmare *cuddles his A500*
TCD is offline  
Old 17 October 2009, 22:39   #8
prowler
Global Moderator

prowler's Avatar
 
Join Date: Aug 2008
Location: Sidcup, England
Posts: 10,203
Quote:
Originally Posted by TheCyberDruid View Post
Still won't call WB 1.x a nightmare *cuddles his A500*
I'm not in a position to call WB 1.x a nightmare either - not with two recently-acquired KS1.3 A500s to cuddle.
prowler is offline  
Old 17 October 2009, 22:43   #9
Retro1234
5150

Retro1234's Avatar
 
Join Date: Jun 2006
Location: Sycophantazia
Posts: 3,715
My A1200 would crush your A500s
Retro1234 is offline  
Old 17 October 2009, 22:46   #10
prowler
Global Moderator

prowler's Avatar
 
Join Date: Aug 2008
Location: Sidcup, England
Posts: 10,203
Quote:
Originally Posted by Boo Boo View Post
My A1200 would crush your A500s
My A1200s crush them as well (only in some respects, however).
prowler is offline  
Old 17 October 2009, 22:51   #11
TCD
Global Moderator

TCD's Avatar
 
Join Date: Sep 2006
Location: Germany
Age: 39
Posts: 24,032
Quote:
Originally Posted by Boo Boo View Post
My A1200 would crush your A500s
Pfff I don't need no fancy downgraders or WHDLoad to play the classics! Eat that!
TCD is offline  
Old 17 October 2009, 22:56   #12
Retro1234
5150

Retro1234's Avatar
 
Join Date: Jun 2006
Location: Sycophantazia
Posts: 3,715
Quote:
Originally Posted by TheCyberDruid View Post
Pfff I don't need no fancy downgraders or WHDLoad to play the classics! Eat that!
Retro1234 is offline  
Old 17 October 2009, 23:42   #13
8bitbubsy
Registered User

8bitbubsy's Avatar
 
Join Date: Sep 2009
Location: Norway
Age: 27
Posts: 1,252
Send a message via MSN to 8bitbubsy
Kick 2.05 r37.350 is fine for HDDs and WB 2.1!
8bitbubsy is offline  
Old 18 October 2009, 00:26   #14
Lockon
Air supremacy

Lockon's Avatar
 
Join Date: Aug 2008
Location: Rijeka Croatia
Age: 42
Posts: 109
KS 2.xx is controlled disaster. Compatibility broken with 3/4 games is too much for an attempt to upgrade GUI. KS 3.1 remedies that in great volume, but for some things you want to downkick to KS1.3 or use WHDLoad.
Lockon is offline  
Old 18 October 2009, 00:32   #15
TCD
Global Moderator

TCD's Avatar
 
Join Date: Sep 2006
Location: Germany
Age: 39
Posts: 24,032
Quote:
Originally Posted by Lockon View Post
...but for some things you want to downkick to KS1.3 or use WHDLoad.
Or use an A500 with KS 1.3 Love your sig btw
TCD is offline  
Old 18 October 2009, 01:01   #16
8bitbubsy
Registered User

8bitbubsy's Avatar
 
Join Date: Sep 2009
Location: Norway
Age: 27
Posts: 1,252
Send a message via MSN to 8bitbubsy

So I should've bought KS3.1 for my A600 after all.. Too late now, tho!
8bitbubsy is offline  
Old 18 October 2009, 06:38   #17
Cammy
Registered User
Cammy's Avatar
 
Join Date: Aug 2007
Location: Gold Coast, Australia
Age: 32
Posts: 1,134
With Kickstart 3.1 you can use all the buttons on a CD32 control pad! So games like Fightin' Spirit (and maybe one other game) can be played the way they were meant to be played!
Cammy is offline  
Old 18 October 2009, 10:25   #18
Lockon
Air supremacy

Lockon's Avatar
 
Join Date: Aug 2008
Location: Rijeka Croatia
Age: 42
Posts: 109
@TheCyberDruid

Thnx, that's a legacy over my Fighter Bomber era...
I see you too have a strong affinity to T800 series,
Lockon is offline  
Old 19 October 2009, 09:14   #19
Paul_s
needs more ice cream

Paul_s's Avatar
 
Join Date: Nov 2006
Location: Amigaville
Age: 39
Posts: 3,161
The Kickstart 1.x splash logo are far cooler than the KS 2.x + era imo...

Hand holding a disk on a white screen = shizzle...
Purple screen with magic floppy disk which moves on its own = scary
Paul_s is offline  
AdSense AdSense  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
kick 1.2 VS Kick 1.3 for A500'games compatibility laser support.WinUAE 35 12 November 2014 12:40
Compatibility with Amiga 500 and 500+ games ErickDF Amiga scene 2 23 May 2008 20:16
Kick up/500+ emulator? xenepp support.Hardware 8 23 April 2007 05:34
WTB: Amiga 500 floppy drive, Kick 2.04 and Rom Selector xenepp MarketPlace 0 14 April 2007 19:42
WTB: Amiga 600, 500, 500 +, 1200 (NTSC) JeremyDay MarketPlace 2 30 November 2006 03:27

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 20:53.


Powered by vBulletin® Version 3.8.8 Beta 1
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Page generated in 0.23486 seconds with 12 queries